<template lang="pug">
.stat-item.is-flex.is-align-items-center.is-justify-content-flex-start( :class='{ "is-flex-direction-column": isWide || isLarge }' )
	.value.is-flex.is-align-items-center.is-justify-content-center
		|{{ value }}
		br
		|IBT
	.text
		|{{ text }}
		br
		|{{ value }} IBT
</template>

<script lang="ts">
import Vue from "vue";
import Component from "vue-class-component";
import { VModel, Prop, Watch } from "vue-property-decorator";

@Component
export default class StatItem extends Vue {
  @Prop({ type: String, default: "" }) text!: string
  @Prop({ type: String, default: "0" }) value!: string
}
</script>

<style lang="scss" scoped>
.value {
	font-size: 1.5625rem;
	font-weight: 800;
	text-align: center;
	min-width: 7.75rem;
	max-width: 7.75rem;
	height: 7.75rem;
	border: 2px solid $primary;
	border-radius: 50%;
	position: relative;
	&::before {
		content: "";
		display: block;
		width: calc(100% - 10px);
		height: calc(100% - 10px);
		border: .6px solid $primary;
		border-radius: 50%;
		filter: drop-shadow(0px 4px 29px rgba($color: $primary, $alpha: .88));
		position: absolute;
		top: 5px;
		left: 5px;
	}
}

.text {
	font-size: .875rem;
	font-weight: 700;
	margin-left: 1.25rem;
}

.stat-item.is-flex-direction-column {
	.text {
		text-align: center;
		margin-top: 1.25rem;
		margin-left: 0;
	}
}
</style>